Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath.functions
Class xpathSubstring

    java.lang.Object
      com.novell.xml.xpath.Function
          com.novell.xml.xpath.functions.xpathSubstring

    public class xpathSubstring

extends Function

This class implements the XPath substring(string,number,number?) built-in function

Constructor Summary
`xpathSubstring()` Construct an object for the substring() function

Method Summary
`ExpressionValue` | `invoke(Object[] args)` Perform substring() function
`String` | `toString()` Return function name.

Methods inherited from class com.novell.xml.xpath.Function
`getInstance, getSignature, isConstant, registerForReset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### xpathSubstring

    public xpathSubstring()

  Construct an object for the substring() function

Method Detail

### invoke

    public ExpressionValue invoke(Object[] args)
                           throws XPathEvaluationException

  Perform substring() function

  Overrides:
    `invoke` in class `Function`
  Parameters:
    `args` - List of arguments. The first argument is required and is the source string The second argument is required and is the starting index within the source string. The third argument is optional and specifies the length of the substring to return. If it is not passed, the length defaults to the rest of the source string.
  Returns:
    The substring of the first argument starting at the second argument, with length specified by the third argument.
  Throws:
    `XPathEvaluationException`

### toString

    public String toString()

  Return function name.

  Overrides:
    `toString` in class `Object`
  Returns:
    Function name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD